Description

The prepare-workspace.xml ant script we use to initialize the workspace of gvSIG projects has an error in windows. It asks for the
gvSIG and workspace locations, and writes it in some eclipse launchers and configuration files.

If the user uses the \ separator tipical in windows, then when interpreted those \ characters dissappear. Ex:

C:\MyPath\gvSIG --> C:MyPathgvSIG

The template file for the prepare-workspace.xml script is located into the org.gvsig.maven.base project. When corrected, it must be
manually updated in all the projects which use it.

Associated revisions

Revision 28832 - 05/18/2009 03:54 AM - Vicente Caballero

Add a generic way to get the CRS selection panel (previously could only be created from Ul) and use it from View preference page. Fixes: #309

Revision 28998 - 05/26/2009 08:59 AM - Cesar Martinez lzquierdo

Merged changesets 28831 and 28832. Fixes #309 for v2.0

Revision 28999 - 05/26/2009 08:59 AM - Cesar Martinez lzquierdo

Merged changesets 28831 and 28832. Fixes #309 for v2.0

History

#1 - 05/10/2012 03:00 PM - Manuel Madrid
- Assignee set to Juan Lucas Dominguez

#2 - 05/10/2012 06:11 PM - Juan Lucas Dominguez
- File prepare.png added
| don't know if | understood it well. | have tested the template XML file and it seems to work (see attached image)

[echo] Copying extension files to extensions dir...

[copy] Copying 28 files to C:\Program Files\gvsig_2_ 2045
[INFO] Executed tasks
[INFO]
[INFO] BUILD SUCCESSFUL
[INFO]

#3 - 05/10/2012 06:15 PM - Juan Lucas Dominguez

(I have tested it on Windows 7)

#4 - 05/11/2012 10:12 AM - Cesar Ordifana

The problem takes place in the eclipse configuration files. For example, there are two variables created into the eclipse workspace that point to the

gvSIG installation:

Preferences > Java > Build Path > Classpath Variables > GVSIG_HOME
Preferences > Run/Debug > String Substitution > GVSIG_HOME

Those variables are used by the gvSIG launcher created in the prepare workspace process.

#5 - 05/11/2012 10:27 AM - Juan Lucas Dominguez

Yes, | have that problem too. I'll see how to fix it

#6 - 05/15/2012 12:34 PM - Juan Lucas Dominguez
- Status changed from New to Fixed

Fixed by replacing \ with / (valid also in Windows). This issue has been fixed in:

org.gvsig.maven.base.build (gvsig-tools)
And the templates:
org.gvsig.fortunecookies

org.gvsig.landregistryviewer
org.gvsig.landregistryviewer.app

#7 - 02/26/2014 12:40 PM - Alvaro Anguix

- Status changed from Fixed to Closed
